| Home | Libraries | People | FAQ | More

###### value::at (5 of 6 overloads)

Access an element, with bounds checking.

###### Synopsis

    value&&
    at(
        std::size_t pos);

###### Description

This function is used to access elements of the underlying array, or throw an exception if the value is not an array.

###### Complexity

Constant.

###### Exception Safety

Strong guarantee.

###### Parameters

Name | Description
--- | ---
`pos` | A zero-based array index.

###### Return Value

`this->as_array().at( pos )`.